## pycallgraph 1.0.1

=== Makefile ===
export PYTHONPATH=$(shell pwd)

all: deps tests doc

pypi:
	python setup.py sdist upload

clean:
	make -C docs clean
	-rm .coverage

run_examples:
	cd examples/graphviz; ./all.py
	cd examples/gephi; ./all.py

deps:
	pip install -r requirements/development.txt
	pip install -r requirements/documentation.txt

tests:
	py.test \
		--pep8 \
		--ignore=pycallgraph/memory_profiler.py \
		test pycallgraph examples

	coverage run --source pycallgraph,scripts -m py.test
	coverage report -m

	flake8 --exclude=__init__.py,memory_profiler.py pycallgraph
	flake8 --ignore=F403 test
	flake8 examples

doc:
	cd docs/examples && ./generate.py
	cd docs/guide/filtering && ./generate.py

	make -C docs html man
	cp docs/_build/man/pycallgraph.1 man/
	docs/update_readme.py

2to3:
	for a in pycallgraph test examples scripts; do 2to3 -wn $$a; done

=== debian/changelog ===
pycallgraph (1.0.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Carl Chenet ]
  * New upstream release
  * Removed debian/pyversions file
  * Removed debian/examples file
  * Removed debian/pycompat file
  * Create debian/python-pycallgraph.manpages
  * Create debian/install file
  * debian/source/format
    - Bump to 3.0 (quilt)
  * debian/control
    - Bump Standards-Version
  * debian/rules
    - Move to new debian/rules style
  * debian/compat
    - Bump to 9

 -- Carl Chenet <chaica@debian.org>  Mon, 13 Jan 2014 00:32:12 +0100

pycallgraph (0.5.1-3) unstable; urgency=low

  [ Carl Chenet ]
  * debian/pyversions
    - modify restriction from 2.4-2.5 to 2.4- to allow 2.6;
      Closes: #532314
    - Standards-Version to 3.8.2.0

 -- Carl Chenet <chaica@ohmytux.com>  Mon, 29 Jun 2009 20:50:58 +0200

pycallgraph (0.5.1-2) unstable; urgency=low

  [ Carl Chenet ]
  * New maintainer. Closes: #524937
  * debian/control
    - updated Maintainer field
    - updated Standards-Version to 3.8.1.0 
  * debian/copyright
    - replaced (C) by ©
    - replaced /GPL by /GPL-2

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Carl Chenet <chaica@ohmytux.com>  Sun, 24 May 2009 15:41:20 +0200

pycallgraph (0.5.1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/rules
    - changed manpage location
    - dropped simple-patchsys.mk inclusion since there is no patch to apply
  * debian/copyright
    - changed upstream author email address
  * debian/patches/10_fix_manpage.patch
    - dropped since merged upstream
  * debian/NEWS
    - updated to upstream executable name change

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 08 Jul 2008 19:10:37 +0200

pycallgraph (0.5.0-1) unstable; urgency=medium

  [ Jan Michael Alonzo ]
  * debian/control: updated package dep versions
  * debian/pyversions: added with versions 2.4-2.5
  * debian/patches: updated hashbang patch to remove
    - trailing return. Closes: #453943

  [ Sandro Tosi ]
  * New upstream release
    - pycg can now be called on itself; thanks to Stephen Gran for the report;
      Closes: #478581
  * debian/control
    - uniforming Vcs-Browser field
    - bump Standards-Version to 3.8.0 (no changes needed)
  * debian/copyright
    - updated upstream author email address
    - added location of GPLv2 full text on a Debian machine
    - renamed previous section Copyright in License
    - indented upstream author, license and copyright sections with 4 spaces
  * debian/patches/add_hashbang_to_script.patch
    - removed since upstream added shebang to the new script
  * debian/patches/10_fix_manpage.patch
    - added to fix manpage, hyphen used as minus (lintian warning)
  * debian/rules
    - updated manpage location (it's now shipped by upstream)
    - removed script rename, since now the extension is no more in the
      filename
  * debian/pycallgraph-dot.1
    - removed, since merged upstream
  * debian/NEWS
    - added to notify users of executable rename

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 08 Jul 2008 00:17:58 +0200

pycallgraph (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Change permission to 644 of examples/*.py on install
  * Rename scripts/pycallgraph-dot.py to pycallgraph-dot on install
  * Vcs-Svn, Vcs-Browser, Homepage fields added (Piotr Ożarowski <piotr@debian.org>)
  * Manual page added; added install directive in rules
  * Updated patch to add hashbang into scripts/pycallgraph-dot.py

 -- Jan Alonzo <jmalonzo@unpluggable.com>  Sat, 6 Oct 2007 01:00:00 +1000

pycallgraph (0.3.0.dfsg-1) unstable; urgency=low

  * Initial Release. Closes: #426985

 -- Jan Alonzo <jmalonzo@unpluggable.com>  Fri, 7 Jun 2007 16:40:53 +1000

=== debian/control ===
Source: pycallgraph
Section: python
Priority: optional
Maintainer: Carl Chenet <chaica@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python (>= 2.7)
Standards-Version: 3.9.5
Homepage: http://pycallgraph.slowchop.com
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pycallgraph/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pycallgraph/trunk/

Package: python-pycallgraph
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, graphviz
Description: Python library that creates call graphs for Python programs
 It uses GraphViz to generate call graphs from one execution of
 your Python code. It's very easy to use and can point out possible problems
 with your code execution.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3=$(shell py2versions -vr)

%:
	dh $@ --with python2

override_dh_auto_build:
	set -ex; for py in $(PYTHON2) ; do \
		python$$py setup.py build; \
	done

override_dh_auto_install:
	set -ex; for py in $(PYTHON2) ; do \
		python$$py setup.py install --skip-build \
		                            --root=$(CURDIR)/debian/tmp \
		                            --install-layout=deb; \
	done

override_dh_fixperms:
	dh_fixperms
	chmod -f 644 debian/python-pycallgraph/usr/share/pyshared/pycallgraph/config.py
 
override_dh_auto_clean:
	rm -rf build
	rm -rf *.egg-info

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg$// \
 http://pycallgraph.slowchop.com/files/download/pycallgraph-(.*)\.tar\.gz

## pycallgraph 1.1.3

=== Makefile ===
export PYTHONPATH=$(shell pwd)

all: deps tests doc

pypi:
	python setup.py sdist upload

clean:
	make -C docs clean
	-rm .coverage

run_examples:
	cd examples/graphviz; ./all.py
	cd examples/gephi; ./all.py

deps:
	pip install -r requirements/development.txt
	pip install -r requirements/documentation.txt

tests:
	py.test \
		--pep8 \
		--ignore=pycallgraph2/memory_profiler.py \
		test pycallgraph2 examples

	coverage run --source pycallgraph2,scripts -m py.test
	coverage report -m

	flake8 --exclude=__init__.py,memory_profiler.py pycallgraph2
	flake8 --ignore=F403 test
	flake8 examples

doc:
	cd docs/examples && ./generate.py
	cd docs/guide/filtering && ./generate.py

	make -C docs html man
	cp docs/_build/man/pycallgraph2.1 man/
	docs/update_readme.py

2to3:
	for a in pycallgraph2 test examples scripts; do 2to3 -wn $$a; done

=== debian/changelog ===
pycallgraph (1.1.3-4) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Set DPT as Maintainer per new Team Policy
  * Add a patch to fix SyntaxWarning (Closes: #1085803)
  * Rewrite debian/copyright in machine-readable format

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Oct 2024 19:41:55 +0200

pycallgraph (1.1.3-3) unstable; urgency=medium

  * Team upload.
  * Remove distutils usage. (Closes: #1075920)
  * Update Standards-Version to 4.6.2.
  * Update debhelper-compat to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Jul 2024 22:07:42 +0100

pycallgraph (1.1.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * debian/patches/dont-use-2to3.patch
    - dont set `use_2to3` in setup.py; Closes: #997631

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2022 21:17:35 -0400

pycallgraph (1.1.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the build with Python 3.8. (Closes: #954628)

 -- Adrian Bunk <bunk@debian.org>  Mon, 13 Apr 2020 22:59:48 +0300

pycallgraph (1.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #953701)

 -- Paul Gevers <elbrus@debian.org>  Thu, 12 Mar 2020 12:18:59 +0100

pycallgraph (1.1.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * New upstream release; Closes: #772690
  * Track https://github.com/daneads/pycallgraph2/, active fork
  * Drop python2 support and build a py3k package; Closes: #937399, #782927
  * debian/control
    - add Conflicts+Replaces python-pycallgraph, as the share the same script
    - bump Standards-Version to 4.4.0 (no changes needed)
  * debian/rules
    - install examples
    - install README.md
  * debian/NEWS
    - removed, outdated
  * debian/python-pycallgraph.manpages
    - removed, upstream no longer ships a manpage
  * debian/copyright
    - add Dan Eads

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Sep 2019 14:55:23 -0400

=== debian/control ===
Source: pycallgraph
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carl Chenet <chaica@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 graphviz,
 python3,
 python3-pytest,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/daneads/pycallgraph2
Vcs-Git: https://salsa.debian.org/python-team/packages/pycallgraph.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pycallgraph

Package: python3-pycallgraph
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, graphviz
Conflicts: python-pycallgraph
Replaces: python-pycallgraph
Description: Python library that creates call graphs for Python programs
 It uses GraphViz to generate call graphs from one execution of
 your Python code. It's very easy to use and can point out possible problems
 with your code execution.
 .
 This package contains the Python 3 module for pycallgraph

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3=$(shell py3versions -d)

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	# rename the module
	mv debian/python3-pycallgraph/usr/lib/${PYTHON3}/dist-packages/pycallgraph2 debian/python3-pycallgraph/usr/lib/${PYTHON3}/dist-packages/pycallgraph
	mv debian/python3-pycallgraph/usr/lib/${PYTHON3}/dist-packages/pycallgraph2-1.1.3.egg-info debian/python3-pycallgraph/usr/lib/${PYTHON3}/dist-packages/pycallgraph-1.1.3.egg-info

	# and make sure every module/script imports get renamed too
	find debian/python3-pycallgraph/usr/ -type f -exec sed -i 's/pycallgraph2/pycallgraph/g' {} \;

override_dh_auto_test:
	dh_auto_test -- \
		--before-test "cp -r scripts/ {build_dir}" \
		--after-test  "rm -r {build_dir}/scripts {build_dir}//pycallgraph.gdf {build_dir}//pycallgraph.png"

override_dh_installexamples:
	dh_installexamples examples/*

override_dh_installdocs:
	dh_installdocs README.md
